Subject: Proper pci_enable_device() error handling in resume routine

From: Valerie Henson <[email-masked]>
Date: Sat, 19 Aug 2006 22:29:22 -0700

Hello,

I'm trying to properly handle pci_enable_device() errors in the resume
routines of a couple of tulip drivers.  I noticed that several drivers
pay attention to errors from pci_enable_device() in the init routine
but ignore it on resume; other drivers vary wildly.  What's proper
behavior when resuming?  Extant examples:

0. Don't call pci_enable_device() at all (8139too)
1. Ignore the return value (eepro100, many others)
2. Check for failure and bail out, but return success (sungem)

-VAL